For the complete documentation index, see llms.txt. This page is also available as Markdown.

Set a property to a product

Set a property to a product

Required permissions: PRODUCT

post
/tenants/{tenantUid}/products/{productUid}/properties
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body

Add a new product option to a product. If a property is of type TEXT, propertyText is mandatory, else propertyOptionUid is mandatory

propertyUidstringRequiredPattern: ^[A-Za-z0-9-_]+
propertyOptionUidstringOptionalPattern: ^[A-Za-z0-9-_]+
propertyTextstringOptional
productPropertyUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
productPropertyUidstringRequiredPattern: ^[A-Za-z0-9-_]+
propertyNamestringRequired
propertyOptionNamestringRequired
propertyTypestring · enumRequired

Describes the type of property a product can have.

ENUMDescription
TEXTA single text line such as an URL to a product manual or a reminder to the cashier/salesperson.
SINGLESELECTA list of values where a product can only have one at any given time.
MULTISELECTA list of values where a product can have none or several at any given time.
Possible values:
propertyTextstringOptional

Only in use with TEXT properties.

propertyUidstringRequiredPattern: ^[A-Za-z0-9-_]+
propertyOptionUidstringRequiredPattern: ^[A-Za-z0-9-_]+
requiredbooleanRequired
post/tenants/{tenantUid}/products/{productUid}/properties
POST /v2/tenants/{tenantUid}/products/{productUid}/properties HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 99

{
  "propertyUid": "text",
  "propertyOptionUid": "text",
  "propertyText": "text",
  "productPropertyUid": "text"
}
200

Example response

{
  "productPropertyUid": "text",
  "propertyName": "text",
  "propertyOptionName": "text",
  "propertyType": "TEXT",
  "propertyText": "text",
  "propertyUid": "text",
  "propertyOptionUid": "text",
  "required": true
}

Last updated

Was this helpful?